Bug 645769 - Enhanced Metadata: define defaults for env.variables in metadata
Summary: Enhanced Metadata: define defaults for env.variables in metadata
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: 0.5
Hardware: Unspecified
OS: Unspecified
low
medium vote
Target Milestone: ---
Assignee: Marian Csontos
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 614974 621814
TreeView+ depends on / blocked
 
Reported: 2010-10-22 12:44 UTC by Marian Csontos
Modified: 2011-09-28 15:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-12 01:50:19 UTC


Attachments (Terms of Use)
changes in beah (2.95 KB, patch)
2010-11-05 13:01 UTC, Marian Csontos
no flags Details | Diff
changes in rhts (8.10 KB, patch)
2010-11-05 13:02 UTC, Marian Csontos
no flags Details | Diff

Description Marian Csontos 2010-10-22 12:44:15 UTC
Allow defaults for env.variables to be defined in task's metadata.

Though these variables can be defined in runtest.sh it is too late for harness, if it want's to know input parameters. And it wants to know about certain variables - e.g. RHTS_OPTION_COMPATIBLE which forces stronger RHTS compatibility. Bug 621814.

Comment 3 Marian Csontos 2010-11-05 13:00:37 UTC
Changes pushed to repos.

Comment 4 Marian Csontos 2010-11-05 13:01:21 UTC
Created attachment 458071 [details]
changes in beah

Comment 5 Marian Csontos 2010-11-05 13:02:12 UTC
Created attachment 458072 [details]
changes in rhts

Comment 7 Petr Šplíchal 2010-11-12 07:43:12 UTC
What's the name/format of the new metadata field?

Comment 8 Marian Csontos 2010-11-12 08:08:55 UTC
Environment: VAR1=Value
Environment: VAR2=Value possibly with spaces
RhtsOptions: Compatible

Comment 9 Marian Csontos 2010-11-15 08:19:22 UTC
I updated the Wiki: https://engineering.redhat.com/trac/rhts/wiki/TestMakefile


Note You need to log in before you can comment on or make changes to this bug.